import { ProxyOptions } from './models';
declare type Dependencies = Record<string, string>;
declare type Options<T> = Omit<ProxyOptions, 'filePath'> & {
    filePaths?: Partial<Record<keyof T, string>>;
};
/**
 * Creates an import url for each dependency.
 *
 * @param deps - Dependencies object, normally from package.json
 * @param options - Additional options for `createUrl`
 */
export default function createDependencyUrls<T extends Dependencies>(dependencies: T, { filePaths, ...options }: Options<T>): Record<keyof T, string>;
export {};
